SitePoint Sponsor

User Tag List

Results 1 to 5 of 5
  1. #1
    SitePoint Member
    Join Date
    Jul 2008
    Location
    Dublin, Ireland
    Posts
    3
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Old, old version of Wordpress not supported by latest version of PHP: Please Help!

    Hey guys,

    I developed a website free for a school a few years ago at scoilmhuirejs.com.

    It's on an old version of Wordpress God knows which version but the version is no longer supported since my hosts upgraded to a newer version of PHP.

    Yes, I could just upgrade Wordpress via FTP which I've never done before, by the way but the thing is that I've got loads of plugins that help the teachers in the school update the website with minimal of hassle. The version of Wordpress is highly customised, and I never planned to have to upgrade it. The process on there is dead simple for them, but now it no longer works.

    Is there ANY way to get around this without updating to the newest version of Wordpress? My host says that turning of PHP errors is not going to happen, as I'm on a shared server.

    I really don't have the time to be re-developing this for free. It was done for free as a once-off thing, not something that I would have to come back to. But I suppose that's what you get.

    Any help is greatly appreciated!

    Thanks.

  2. #2
    SitePoint Guru bronze trophy Slackr's Avatar
    Join Date
    Jan 2009
    Location
    New Zealand
    Posts
    679
    Mentioned
    7 Post(s)
    Tagged
    0 Thread(s)
    How easy would it be to identify the customised files? Wordpress can be heavily customised without adapting the core files. Or it can be heavily customised by only addressing some files. No one else knows what amount of customisation you've done.

    My advice would be to take a copy install it in a development area, upgrade to the latest version of Wordpress and evaluate the damage and what does/doesn't work. You may be pleasantly surprised, and even if you strike problems you should have a better idea of the scope of change that will need to be addressed.

    Actually having just looked at the website, you should be able to reproduce that pretty quickly even at worst case scenario. Looks like some customisation in artwork but apart from running an events calendar you don't look to have too much on your hands (although this was a quick look).

    You also have the benefit of line indications of where the code is screwing up to help you.

  3. #3
    SitePoint Wizard bronze trophy
    Join Date
    Jul 2006
    Location
    Augusta, Georgia, United States
    Posts
    4,147
    Mentioned
    16 Post(s)
    Tagged
    3 Thread(s)
    I don't think it is your responsibility to upgrade the site in any form without being compensated. I would tell "client" to talk to hosting since they are the ones who broke the site. Granted running old versions of PHP isn't very good but it is much cheaper than rebuilding the site. Some of the plugins you have used might not even exist anymore, than what? Either way if the version is very out of date there is probably a considerable amount of discovery and development to done. Either way you don't have any obligation to upgrade the site without being compensated for your time. If they aren't willing to compensate you than they can deal with what they have or find someone else. When something is working fine and hosting breaks it it is the fault of hosting. That doesn't in any way obligate you to make the site work on their new hardware set-up without being compensated. If it weren't true than software upgrades would all be free but as we all know that is far from reality with commercial grade products.

    I would simply say that the hosting provider has decided to upgrade their systems with the latest technological advancements which are not compatible with the existing site. After present the client with a solution to either move to a new hosting company or redevelop the site to be compatibility with the new hardware and/or server configuration changes. Either of which being compensated for your time of course. If the client doesn't want to invest the proper funds than they can go fly a kit or b*tch to hosting.
    The only code I hate more than my own is everyone else's.

  4. #4
    SitePoint Zealot robinInTexas's Avatar
    Join Date
    Feb 2009
    Posts
    110
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    The current version of wordpress will likely break many of the plugins. You could look for the oldest wordpress version that will run on the version of PHP on the server.

    Upgrade via ftp or cpanel's file manager is pretty straightforward.
    Robin
    Find out how to get More Money at this URL

  5. #5
    . shoooo... silver trophy logic_earth's Avatar
    Join Date
    Oct 2005
    Location
    CA
    Posts
    9,013
    Mentioned
    8 Post(s)
    Tagged
    0 Thread(s)
    Running old versions of Wordpress...please tell me you are not serious...Old versions of Wordpress is swiss cheese full of security holes...
    Logic without the fatal effects.
    All code snippets are licensed under WTFPL.



Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •